ArNetworking: ArServerInfoSensor Class Reference

- Main Page
- Classes
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ArServerInfoSensor Class Reference

`#include <ArServerInfoSensor.h>`

List of all members.

## Detailed Description

Service providing clients with data from range sensors. This service accepts the following data requests:

- `getSensorList` to get a list of all robot sensors
- `getSensorCurrent` to get one range sensor's set of current readings
- `getSensorCumulative` to get one range sensor's set of cumualtive readings

The `getSensorList` request replies with the following data packet:

1. Number of sensors (2-byte integer)
2. For each sensor:
   1. sensor name (Null-terminated string)

The `getSensorCurrent` and `getSensorCumulative` requests must include the following data:

1. Sensor name (Null-terminated string)

The `getSensorCurrent` and `getSensorCumulative` requests reply with the following data packets:

1. Number of readings, or -1 for invalid sensor name error (2-byte integer)
2. Sensor name (null-terminated string)
3. For each reading:
   1. X coordinate of reading (4-byte integer)
   2. Y coordinate of reading (4-byte integer)

This service's requests are all in the `SensorInfo` group.

## Public Member Functions
| ArServerInfoSensor (ArServerBase *server, ArRobot *robot)
void | getSensorCumulative (ArServerClient *client, ArNetPacket *packet)
void | getSensorCurrent (ArServerClient *client, ArNetPacket *packet)
void | getSensorList (ArServerClient *client, ArNetPacket *packet)
## Protected Attributes
ArFunctor2C< ArServerInfoSensor, ArServerClient *, ArNetPacket * > | myGetSensorCumulativeCB
ArFunctor2C< ArServerInfoSensor, ArServerClient *, ArNetPacket * > | myGetSensorCurrentCB
ArFunctor2C< ArServerInfoSensor, ArServerClient *, ArNetPacket * > | myGetSensorListCB
ArRobot * | myRobot
ArServerBase * | myServer

The documentation for this class was generated from the following file:

- ArServerInfoSensor.h